#include <dune/solvers/common/numproc.hh> // Solver::VerbosityMode
#include <dune/common/exceptions.hh>

template <> struct StringToEnum<Solver::VerbosityMode> {
  static Solver::VerbosityMode convert(std::string const &s) {
    if (s == "full")
      return Solver::FULL;

    if (s == "reduced")
      return Solver::REDUCED;

    if (s == "quiet")
      return Solver::QUIET;

    DUNE_THROW(Dune::Exception, "failed to parse enum");
  }
};
