#ifndef STATE_UPDATER_HH
#define STATE_UPDATER_HH

template <class ScalarVector, class Vector> class StateUpdater {
public:
  void virtual nextTimeStep() = 0;
  void virtual setup(double _tau) = 0;
  void virtual solve(Vector const &velocity_field) = 0;
  void virtual extractAlpha(ScalarVector &alpha) = 0;
};

#endif
