#include <dune/common/exceptions.hh>

#include "enums.hh"

template <> struct StringToEnum<Config::FrictionModel> {
  static Config::FrictionModel convert(std::string const &s) {
    if (s == "Truncated")
      return Config::Truncated;

    if (s == "Regularised")
      return Config::Regularised;

    DUNE_THROW(Dune::Exception, "failed to parse enum");
  }
};
